Error attempting to update 14.04

Tom H tomh0665 at gmail.com
Mon Nov 17 10:20:40 UTC 2014


On Sun, Nov 16, 2014 at 12:52 PM, Jim Byrnes <jf_byrnes at comcast.net> wrote:
>
> I have updated 14.04 on my laptop multiple times without problems, but last
> night after the downloading phase was completed I got an error during the
> installation phase. Now I have no network connection wired or wireless.  I
> verified that the cable is good.
>
> During installation a dialog popped up saying the package system was broken.
> Said I should disable 3d party software and run apt-get install -f.  Did
> both. Here is the error portion of the apt-get command typed in because of
> no networking.
>
> preparing to unpack.../libpython3.3-stdlib_3.3.6-2+trustyt1_amd64deb...
> Unpacking libpython3.3-stdlib:amd64 (3.3.6-2+trusty1)
> dpkg: error processing archive
> /var/cache/apt/archives/libpython3.3-stdlib_3.3.6-2+turusty1_amd64.deb
> (--unpack):
> trying to overwrite '/usr/lib/python3.3/idle/dynOptionMenuWidget.py', which
> is also in package idle-python.3.3.3.5-2trusty1
> dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
> Errors were encountered while processing:
>  /var/cache/apt/archives/libpython3.3-stdlib_3.3.6-2+trusty1_amd64.deb
> E: Sub-process /usr/bin/dpkg returned error code (1)

This is strange.

I don't have apt-file installed but from
http://packages.ubuntu.com/search?suite=trusty&arch=amd64&mode=exactfilename&searchon=contents&keywords=dynOptionMenuWidget.py
we get:

/usr/lib/pypy/lib-python/2.7/idlelib/dynOptionMenuWidget.py  pypy-lib
/usr/lib/python2.7/idlelib/dynOptionMenuWidget.py  idle-python2.7
/usr/lib/python3.4/idlelib/dynOptionMenuWidget.py  libpython3.4-stdlib

What's the output of "apt-cache policy idle-python*"?



More information about the ubuntu-users mailing list